Bug 652993 - KMS: GPU lockup ATI Radeon X700 PRO (RV410) (PCIE)
Summary: KMS: GPU lockup ATI Radeon X700 PRO (RV410) (PCIE)
Keywords:
Status: CLOSED WONTFIX
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11-drv-ati
Version: 14
Hardware: x86_64
OS: Unspecified
low
high
Target Milestone: ---
Assignee: Jérôme Glisse
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-11-14 02:32 UTC by Tom Horsley
Modified: 2012-08-16 18:25 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2012-08-16 18:25:06 UTC
Type: ---


Attachments (Terms of Use)
The Xorg.0.log.old file from the crash (35.93 KB, text/plain)
2010-11-14 02:33 UTC, Tom Horsley
no flags Details
Chunk from /var/log/messages showing the radeon errors (9.68 KB, text/plain)
2010-11-14 02:36 UTC, Tom Horsley
no flags Details

Description Tom Horsley 2010-11-14 02:32:21 UTC
Description of problem:

For the first time since installing fedora 14 I tried to run the "neverputt"
program. It started OK, but when I tried to select number of players and
actually begin a game, my screen went black for a few seconds, then came
back rotated about 3/4 of the way across the screen with lots of random
scrambling together with the rotation of contents.

I found a load of messages in /var/log/messages that seem to be related
(since they have timestamps at the same time I tried to do this). I'll
attach them to this bug.

I didn't see anything funny in the xorg log file.

The system appeared to be completely froze up at the end of this process.
I had to hit the reset switch to get it back.

This also appears to be a regression since I was able to play neverputt
on fedora 13 running the same hardware.


Version-Release number of selected component (if applicable):
xorg-x11-drv-ati-6.13.1-0.3.20100705git37b348059.fc14.x86_64
xorg-x11-server-utils-7.4-19.fc14.x86_64
xorg-x11-server-Xorg-1.9.1-2.fc14.x86_64
xorg-x11-server-common-1.9.1-2.fc14.x86_64
xorg-x11-server-Xvfb-1.9.1-2.fc14.x86_64
mesa-dri-drivers-7.9-2.fc14.x86_64
neverball-1.5.4-3.fc14.x86_64

How reproducible:

Only tried it once so far

Steps to Reproduce:
1. see above
  
Actual results:
locked up display

Expected results:
play neverputt

Additional info:

Comment 1 Tom Horsley 2010-11-14 02:33:53 UTC
Created attachment 460284 [details]
The Xorg.0.log.old file from the crash

Comment 2 Tom Horsley 2010-11-14 02:36:27 UTC
Created attachment 460285 [details]
Chunk from /var/log/messages showing the radeon errors

Comment 3 Tom Horsley 2010-11-14 02:43:47 UTC
I just tried it a 2nd time, and got the same results, so I'd call it
very reproducible.

Comment 4 Tom Horsley 2010-11-14 03:13:10 UTC
I should probably mention I'm booting kernel-2.6.35.6-48.fc14.x86_64
and that I'm using all default settings. No xorg.conf file is
installed.

Comment 5 Tom Horsley 2010-11-14 03:29:45 UTC
In the interest of gathering more info, I ran through the mesa-demos
and they all seemed to work well (just running them in sorted order)
till I got to the dreaded gltestperf (which was able to crash my system
under fedora 13 as well - see bug 562607).

Instead of a crash, I get 30+ megabytes of stuff that looks like this
in my /var/log/messages file:

...
Nov 13 22:17:09 zooty kernel: [ 2217.625583] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 13 22:17:09 zooty kernel: [ 2217.625625] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(13).
Nov 13 22:17:09 zooty kernel: [ 2217.625627] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 13 22:17:09 zooty kernel: [ 2217.625678] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(14).
Nov 13 22:17:09 zooty kernel: [ 2217.625680] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 13 22:17:09 zooty kernel: [ 2217.625720] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(15).
Nov 13 22:17:09 zooty kernel: [ 2217.625722] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 13 22:17:09 zooty kernel: [ 2217.625771] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(0).
Nov 13 22:17:09 zooty kernel: [ 2217.625773] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 13 22:17:09 zooty kernel: [ 2217.625813] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(1).
Nov 13 22:17:09 zooty kernel: [ 2217.625815] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 13 22:17:09 zooty kernel: [ 2217.625864] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(2).
Nov 13 22:17:09 zooty kernel: [ 2217.625866] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 13 22:17:09 zooty kernel: [ 2217.625905] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(3).
Nov 13 22:17:09 zooty kernel: [ 2217.625908] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Nov 13 22:17:09 zooty kernel: [ 2217.625957] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(4).
...

The screen eventually goes black and won't recover, but the system is still
up because I can blind type Ctrl-Alt-F2, login as root and reboot.

Comment 7 Tom Horsley 2010-11-15 23:58:54 UTC
More data: On my home system where I got the original crash, I tried
adding this /etc/X11/xorg.conf.d/radeon.conf file:

Section "Device"
	Identifier  "Videocard0"
	Driver      "radeon"
	Option      "ColorTiling" "off"
EndSection

That did seem to disable color tiling, but it merely changed the nature
of the crash, it didn't prevent the crash.

Now the system freezes up instantly on the very first window presented
by neverputt and the crash is so hard and fast that nothing gets
logged to any file, the system is just completely frozen.

Comment 8 Tom Horsley 2010-12-07 00:49:57 UTC
I have gotten a lot of updates since I initially reported this, so I thought
I'd try it again, and I can actually run neverputt with no errors now.

Since that was working, I thought I'd try gltestperf, but it still gets to
benchmark two and blacks out the screen, leaving me to blind type Ctrl-Alt-F2,
login, and reboot.

In /var/log/messages I found this from the gltestperf run after rebooting:
Dec  6 19:35:54 zooty kernel: [  540.686052] ------------[ cut here ]------------
Dec  6 19:35:54 zooty kernel: [  540.686086] WARNING: at drivers/gpu/drm/radeon/radeon_fence.c:235 radeon_fence_wait+0x22e/0x2cd [radeon]()
Dec  6 19:35:54 zooty kernel: [  540.686088] Hardware name: TP43D2-A7
Dec  6 19:35:54 zooty kernel: [  540.686090] GPU lockup (waiting for 0x00009AD6 last fence id 0x00009AD5)
Dec  6 19:35:54 zooty kernel: [  540.686092] Modules linked in: ebtable_nat ebtables nfsd lockd nfs_acl auth_rpcgss exportfs hwmon_vid coretemp sunrpc cpufreq_ondemand acpi_cpufreq freq_table mperf bridge stp llc ip6t_REJECT nf_conntrack_ipv6 ip6table_filter ip6_tables ipv6 kvm_intel kvm uinput usblp snd_ca0106 snd_ac97_codec snd_usb_audio snd_hda_codec_realtek ac97_bus lirc_imon(C) ppdev parport_pc i2c_i801 serio_raw uvcvideo snd_hda_intel videodev snd_hda_codec v4l1_compat v4l2_compat_ioctl32 snd_seq lirc_dev shpchp joydev snd_pcm iTCO_wdt iTCO_vendor_support e1000e snd_hwdep parport snd_usbmidi_lib microcode snd_rawmidi snd_timer snd_seq_device snd snd_page_alloc soundcore pata_acpi ata_generic usb_storage pata_jmicron radeon ttm drm_kms_helper drm i2c_algo_bit i2c_core [last unloaded: scsi_wait_scan]
Dec  6 19:35:54 zooty kernel: [  540.686159] Pid: 3109, comm: gltestperf Tainted: G         C  2.6.35.9-64.fc14.x86_64 #1
Dec  6 19:35:54 zooty kernel: [  540.686161] Call Trace:
Dec  6 19:35:54 zooty kernel: [  540.686169]  [<ffffffff8104d855>] warn_slowpath_common+0x85/0x9d
Dec  6 19:35:54 zooty kernel: [  540.686173]  [<ffffffff8104d910>] warn_slowpath_fmt+0x46/0x48
Dec  6 19:35:54 zooty kernel: [  540.686192]  [<ffffffffa009a8c8>] radeon_fence_wait+0x22e/0x2cd [radeon]
Dec  6 19:35:54 zooty kernel: [  540.686197]  [<ffffffff8106646f>] ? autoremove_wake_function+0x0/0x39
Dec  6 19:35:54 zooty kernel: [  540.686217]  [<ffffffffa009b0d8>] radeon_sync_obj_wait+0x11/0x13 [radeon]
Dec  6 19:35:54 zooty kernel: [  540.686225]  [<ffffffffa0061839>] ttm_bo_wait+0xa5/0x15c [ttm]
Dec  6 19:35:54 zooty kernel: [  540.686248]  [<ffffffffa00a9952>] radeon_bo_wait+0xb6/0xd7 [radeon]
Dec  6 19:35:54 zooty kernel: [  540.686271]  [<ffffffffa00a9f10>] radeon_gem_wait_idle_ioctl+0x40/0x77 [radeon]
Dec  6 19:35:54 zooty kernel: [  540.686283]  [<ffffffffa00192b8>] drm_ioctl+0x28b/0x389 [drm]
Dec  6 19:35:54 zooty kernel: [  540.686306]  [<ffffffffa00a9ed0>] ? radeon_gem_wait_idle_ioctl+0x0/0x77 [radeon]
Dec  6 19:35:54 zooty kernel: [  540.686312]  [<ffffffff810e3d0c>] ? vma_prio_tree_remove+0x47/0xdd
Dec  6 19:35:54 zooty kernel: [  540.686316]  [<ffffffff81123f5b>] vfs_ioctl+0x36/0xa7
Dec  6 19:35:54 zooty kernel: [  540.686320]  [<ffffffff811248bc>] do_vfs_ioctl+0x468/0x49b
Dec  6 19:35:54 zooty kernel: [  540.686324]  [<ffffffff810ef344>] ? remove_vma+0x7f/0x87
Dec  6 19:35:54 zooty kernel: [  540.686327]  [<ffffffff810f0819>] ? do_munmap+0x2f2/0x30b
Dec  6 19:35:54 zooty kernel: [  540.686331]  [<ffffffff81124945>] sys_ioctl+0x56/0x79
Dec  6 19:35:54 zooty kernel: [  540.686336]  [<ffffffff81009cf2>] system_call_fastpath+0x16/0x1b
Dec  6 19:35:54 zooty kernel: [  540.686339] ---[ end trace ccb48f5526f2b3bf ]---
Dec  6 19:35:54 zooty kernel: [  540.688106] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(12).
Dec  6 19:35:54 zooty kernel: [  540.688109] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Dec  6 19:35:54 zooty kernel: [  540.689446] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(13).
Dec  6 19:35:54 zooty kernel: [  540.689449] [drm:radeon_cs_ioctl] *ERROR* Faild to schedule IB !
Dec  6 19:35:54 zooty kernel: [  540.690811] [drm:radeon_ib_schedule] *ERROR* radeon: couldn't schedule IB(14).

Those IB(NN) messages go on for a long time but just say the same thing
over and over with different NN in the IB(NN) part of the message.

Current rpm versions for this test:

kernel-2.6.35.9-64.fc14.x86_64
xorg-x11-drv-ati-6.13.1-0.3.20100705git37b348059.fc14.x86_64
mesa-dri-drivers-7.9-2.fc14.x86_64
mesa-demos-7.9-2.fc14.x86_64
mesa-libGL-7.9-2.fc14.x86_64
mesa-libGLU-devel-7.9-2.fc14.x86_64
mesa-libGL-devel-7.9-2.fc14.x86_64
mesa-libGLU-7.9-2.fc14.x86_64

Comment 9 Fedora End Of Life 2012-08-16 18:25:08 UTC
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping


Note You need to log in before you can comment on or make changes to this bug.